Cyberduck Mountain Duck CLI

#4314 closed defect (duplicate)

I/O Error Upload Fail = "302 Moved Temporarily Found"

Reported by: egasca@… Owned by: dkocher
Priority: normal Milestone:
Component: webdav Version: 3.4.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Content-Length: 5392[\r][\n]
Content-Type: text/xml;charset=UTF-8[\r][\n]
[\r][\n]
PUT (location) HTTP/1.1[\r][\n]
Authorization: Basic ZWdhc2NhOjZOdGM4YWU3ZCE=[\r][\n]
User-Agent: Cyberduck/3.4.1 (5780) (Mac OS X/10.6.2) (i386)[\r][\n]
Host: (URL)[\r][\n]
Expect: 100-continue[\r][\n]
Content-Length: 318599914[\r][\n]
Content-Type: application/zip[\r][\n]
[\r][\n]
HTTP/1.1 302 Found[\r][\n]
HTTP/1.1 302 Found[\r][\n]
Date: Wed, 17 Mar 2010 22:33:15 GMT[\r][\n]
Server: Apache/2.2.11 (Fedora)[\r][\n]
Location: (location) [\r][\n]
Content-Length: 314[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]

I changed the URLs to (location). I cannot upload ANY file of any size or type. It always ends with transfer incomplete. However, I CAN download files. I'm logged in, can navigate through the folders, etc. Even re-installed cyberduck. What should I do?

I need this to be fixed in order to do my job! We need to go live in two weeks. It was never doing this before. Please help. Thanks muchly!

Change History (4)

comment:1 Changed on Mar 17, 2010 at 10:59:29 PM by egasca@…

My apologies. It is of the SFTP webDav component, not Core.

comment:2 Changed on Mar 23, 2010 at 11:12:07 AM by yla

The server apparently redirects you to a new location (HTTP status 302) for putting the file. Can you try to change to the redirected folder (your second location placeholder ) before uploading?

comment:3 Changed on Mar 23, 2010 at 11:12:31 AM by yla

  • Component changed from core to webdav
  • Priority changed from highest to normal
  • Severity changed from blocker to normal

comment:4 Changed on Apr 1, 2010 at 8:39:03 AM by dkocher

  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate for #3206.

Note: See TracTickets for help on using tickets.
swiss made software